> ## Documentation Index
> Fetch the complete documentation index at: https://docs.notifense.com/llms.txt
> Use this file to discover all available pages before exploring further.

# Get token

> OAuth2.0 compatible endpoint for requesting an access token.



## OpenAPI

````yaml https://api.notifense.com/openapi/v1.json post /v1/auth/token
openapi: 3.1.1
info:
  title: Notifense
  version: v1
servers:
  - url: https://api.notifense.com
security:
  - oauth2: []
tags:
  - name: accounts
  - name: assets
  - name: alertRules
  - name: events
  - name: telemetry
  - name: geofences
  - name: auth
paths:
  /v1/auth/token:
    post:
      tags:
        - auth
      summary: Get token
      description: OAuth2.0 compatible endpoint for requesting an access token.
      responses:
        '200':
          description: OK
          content:
            application/json:
              schema:
                $ref: '#/components/schemas/TokenResponse'
        '400':
          description: Bad Request
          content:
            application/json:
              schema:
                $ref: '#/components/schemas/TokenErrorResponse'
components:
  schemas:
    TokenResponse:
      required:
        - access_token
        - expires_in
      type: object
      properties:
        access_token:
          type: string
        expires_in:
          pattern: ^-?(?:0|[1-9]\d*)$
          type:
            - integer
            - string
          format: int32
        refresh_token:
          type:
            - 'null'
            - string
        token_type:
          type: string
          default: Bearer
    TokenErrorResponse:
      required:
        - error
        - error_description
      type: object
      properties:
        error:
          type: string
        error_description:
          type:
            - 'null'
            - string
  securitySchemes:
    oauth2:
      type: oauth2
      flows:
        clientCredentials:
          tokenUrl: https://api.notifense.com/v1/auth/token
          scopes: {}

````